[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Source_flat_lambda` Component

Neutron source with flat wavelength spectrum and arbitrary flux.

## Identification

- Author: Kristian Nielsen and Kim Lefmann
- Origin: Risoe
- Date: 1999
- Version: 1.18
- Modification history:
  - KN, 1999 from Source_flat.comp
  - KL, October 8, 2001
  - Emmanuel Farhi, October 30, 2001

## Description

    The routine is a circular neutron source, which aims at a square target
    centered at the beam (in order to improve MC-acceptance rate).  The angular
    divergence is then given by the dimensions of the target. The neutron
    wavelength is uniformly distributed between lambda_0 - d_lambda and
    lambda_0 + d_lambda.

    Example: Source_flat_lambda(radius=0.1, dist=2, xw=.1, yh=.1,
              lambda_0=2.36, d_lambda=.3)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
radius | m | Radius of circle in (x,y,0) plane where neutrons are generated. |
dist | m | Distance to target along z axis. |
xw | m | Width(x) of target |
yh | m | Height(y) of target |
lambda_0 | AA | Mean wavelength of neutrons. |
d_lambda | AA | Wavelength spread of neutrons. |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
pmul |  |  |

## Links

- Source code for `Source_flat_lambda.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]